package com.ho.business.mapper;

import com.ho.business.entity.EarningsCalculate;
import com.ho.business.entity.EarningsCalculateMppt;
import com.ho.business.vo.req.bigScreen.CommonBigScreenReq;
import com.ho.business.vo.resp.InverterResp.PowerGenerateRespVO;
import com.ho.business.vo.resp.profit.DayProfitType;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;
import java.util.List;

@Mapper
public interface EarningsCalculateMpptMapper {

    int deleteByDay(@Param("day") String day, @Param("typeList") List<Integer> typeList);

    int insertBatch(List<EarningsCalculateMppt> list);

    List<PowerGenerateRespVO> countPvIncome(@Param("stationId") Integer stationId, @Param("beginTime")String beginTime, @Param("endTime")String endTime);

    BigDecimal countAllPvIncome(@Param("stationId")Integer stationId,@Param("beginTime")String beginTime, @Param("endTime")String endTime);

    List<DayProfitType> getProfit(@Param("beginTime")String begin, @Param("endTime")String end, @Param("groupId")Integer groupId);

    String getFirstTime();

    List<DayProfitType> getEarningsByParam(CommonBigScreenReq req);
}
